
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for protra/controllers</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../prettify.css" />
    <link rel="stylesheet" href="../../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../../index.html">All files</a> protra/controllers</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">46.92% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>366/780</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">27.07% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>72/266</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">44.44% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>24/54</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">46.5% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>359/772</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
    </div>
    <div class='status-line low'></div>
    <div class="pad1">
<table class="coverage-summary">
<thead>
<tr>
   <th data-col="file" data-fmt="html" data-html="true" class="file">File</th>
   <th data-col="pic" data-type="number" data-fmt="html" data-html="true" class="pic"></th>
   <th data-col="statements" data-type="number" data-fmt="pct" class="pct">Statements</th>
   <th data-col="statements_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="branches" data-type="number" data-fmt="pct" class="pct">Branches</th>
   <th data-col="branches_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="functions" data-type="number" data-fmt="pct" class="pct">Functions</th>
   <th data-col="functions_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="lines" data-type="number" data-fmt="pct" class="pct">Lines</th>
   <th data-col="lines_raw" data-type="number" data-fmt="html" class="abs"></th>
</tr>
</thead>
<tbody><tr>
	<td class="file low" data-value="activityController.js"><a href="activityController.js.html">activityController.js</a></td>
	<td data-value="11.43" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 11%"></div><div class="cover-empty" style="width: 89%"></div></div>
	</td>
	<td data-value="11.43" class="pct low">11.43%</td>
	<td data-value="35" class="abs low">4/35</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="8" class="abs low">0/8</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="2" class="abs low">0/2</td>
	<td data-value="11.43" class="pct low">11.43%</td>
	<td data-value="35" class="abs low">4/35</td>
	</tr>

<tr>
	<td class="file low" data-value="listController.js"><a href="listController.js.html">listController.js</a></td>
	<td data-value="41.8" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 41%"></div><div class="cover-empty" style="width: 59%"></div></div>
	</td>
	<td data-value="41.8" class="pct low">41.8%</td>
	<td data-value="122" class="abs low">51/122</td>
	<td data-value="20.45" class="pct low">20.45%</td>
	<td data-value="44" class="abs low">9/44</td>
	<td data-value="50" class="pct medium">50%</td>
	<td data-value="6" class="abs medium">3/6</td>
	<td data-value="41.8" class="pct low">41.8%</td>
	<td data-value="122" class="abs low">51/122</td>
	</tr>

<tr>
	<td class="file low" data-value="paymentController.js"><a href="paymentController.js.html">paymentController.js</a></td>
	<td data-value="5.71" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 5%"></div><div class="cover-empty" style="width: 95%"></div></div>
	</td>
	<td data-value="5.71" class="pct low">5.71%</td>
	<td data-value="70" class="abs low">4/70</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="24" class="abs low">0/24</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="7" class="abs low">0/7</td>
	<td data-value="5.71" class="pct low">5.71%</td>
	<td data-value="70" class="abs low">4/70</td>
	</tr>

<tr>
	<td class="file medium" data-value="projectController.js"><a href="projectController.js.html">projectController.js</a></td>
	<td data-value="55.31" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 55%"></div><div class="cover-empty" style="width: 45%"></div></div>
	</td>
	<td data-value="55.31" class="pct medium">55.31%</td>
	<td data-value="179" class="abs medium">99/179</td>
	<td data-value="38.24" class="pct low">38.24%</td>
	<td data-value="68" class="abs low">26/68</td>
	<td data-value="50" class="pct medium">50%</td>
	<td data-value="12" class="abs medium">6/12</td>
	<td data-value="54.55" class="pct medium">54.55%</td>
	<td data-value="176" class="abs medium">96/176</td>
	</tr>

<tr>
	<td class="file medium" data-value="taskController.js"><a href="taskController.js.html">taskController.js</a></td>
	<td data-value="55.64" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 55%"></div><div class="cover-empty" style="width: 45%"></div></div>
	</td>
	<td data-value="55.64" class="pct medium">55.64%</td>
	<td data-value="275" class="abs medium">153/275</td>
	<td data-value="30.21" class="pct low">30.21%</td>
	<td data-value="96" class="abs low">29/96</td>
	<td data-value="57.14" class="pct medium">57.14%</td>
	<td data-value="14" class="abs medium">8/14</td>
	<td data-value="55.51" class="pct medium">55.51%</td>
	<td data-value="272" class="abs medium">151/272</td>
	</tr>

<tr>
	<td class="file medium" data-value="userController.js"><a href="userController.js.html">userController.js</a></td>
	<td data-value="55.56" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 55%"></div><div class="cover-empty" style="width: 45%"></div></div>
	</td>
	<td data-value="55.56" class="pct medium">55.56%</td>
	<td data-value="99" class="abs medium">55/99</td>
	<td data-value="30.77" class="pct low">30.77%</td>
	<td data-value="26" class="abs low">8/26</td>
	<td data-value="53.85" class="pct medium">53.85%</td>
	<td data-value="13" class="abs medium">7/13</td>
	<td data-value="54.64" class="pct medium">54.64%</td>
	<td data-value="97" class="abs medium">53/97</td>
	</tr>

</tbody>
</table>
</div>
                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank">istanbul</a>
                at Mon Feb 08 2021 17:54:39 GMT+0700 (Western Indonesia Time)
            </div>
        </div>
        <script src="../../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../../sorter.js"></script>
        <script src="../../block-navigation.js"></script>
    </body>
</html>
    